### R code from vignette source 'easi.rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: easi.rnw:83-84
###################################################
options(prompt= "R> ", useFancyQuotes = FALSE)


###################################################
### code chunk number 2: easi.rnw:769-770
###################################################
library(easi)


###################################################
### code chunk number 3: easi.rnw:776-777
###################################################
data(hixdata)


###################################################
### code chunk number 4: easi.rnw:851-865
###################################################
#****** Budget Shares Matrix *************
#     shares_HIX=hixdata[,2:10]
#****** Price Matrix (in logarithms) *****
#     log.price_HIX=hixdata[,11:19] 
#****** Demographic matrix **********
#     var.soc_HIX=hixdata[,21:25]
#****** Logarithm of total expenditure ***
#****** (here divised by a price index) **
#     log.exp_HIX=hixdata[,20]  
#****** Labels of demographic variables **
#     labels.soc <- c("age","hsex","carown","time","tran")
#****** Labels of budget shares **********
#     labels.share=c("food in","food out","rent","operations",
#       "furnishing","clothes","transport","recreation")


###################################################
### code chunk number 5: easi.rnw:868-872
###################################################
#est <- easi(shares=shares_HIX,log.price=log.price_HIX,var.soc=var.soc_HIX,
 #           y.power=5,log.exp=log.exp_HIX,labels.share=labels.share,
  #          labels.soc=labels.soc,py.inter=TRUE, zy.inter=TRUE, 
   #         pz.inter=TRUE, interpz=c(1:ncol(var.soc_HIX)))


###################################################
### code chunk number 6: easi.rnw:880-881
###################################################
#head(coef(est),3)


###################################################
### code chunk number 7: easi.rnw:889-890
###################################################
#dim(vcov(est))


###################################################
### code chunk number 8: easi.rnw:896-897
###################################################
#head(predict(est),3)


###################################################
### code chunk number 9: easi.rnw:903-904
###################################################
#head(residuals(est),3)


###################################################
### code chunk number 10: easi.rnw:912-913
###################################################
#head(concavity(est))


###################################################
### code chunk number 11: easi.rnw:931-932
###################################################
#elastprice <- elastic(est,type="price",sd=TRUE)


###################################################
### code chunk number 12: easi.rnw:938-940
###################################################
#elastprice$EP[paste("p",labels.share,sep=""),
 #             paste("p",labels.share,sep="")]


###################################################
### code chunk number 13: easi.rnw:946-948
###################################################
#elastprice$EP_SE[paste("p",labels.share,sep=""),
  #               paste("p",labels.share,sep="")]


###################################################
### code chunk number 14: easi.rnw:955-957
###################################################
#elastprice$ELASTPRICE[paste("p",labels.share,sep=""),
#                      paste("p",labels.share,sep="")]


###################################################
### code chunk number 15: easi.rnw:963-965
###################################################
#elastprice$ELASTPRICE_SE[paste("p",labels.share,sep=""),
#                         paste("p",labels.share,sep="")]


###################################################
### code chunk number 16: easi.rnw:972-973
###################################################
#elastincome <- elastic(est,type="income",sd=FALSE)


###################################################
### code chunk number 17: easi.rnw:979-980
###################################################
#elastincome$ER[1,labels.share]


###################################################
### code chunk number 18: easi.rnw:986-987
###################################################
#elastincome$ELASTINCOME[1,labels.share]


###################################################
### code chunk number 19: easi.rnw:994-995
###################################################
#elastdemographic <- elastic(est,type="demographics",sd=FALSE)


###################################################
### code chunk number 20: easi.rnw:1008-1009
###################################################
#eng1 <- engel(est,file="graph_engels_curves",sd=TRUE)


###################################################
### code chunk number 21: easi.rnw:1036-1043
###################################################
 #    log.price_HIX.SIM1 <- log.price_HIX
 #   for (i in 1:ncol(log.price_HIX))
 #  log.price_HIX.SIM1[,i] <- 0
     
 #    var.soc_HIX.SIM1 <- var.soc_HIX
 #    for (i in 1:ncol(var.soc_HIX))
 #    var.soc_HIX.SIM1[,i] <- 0


###################################################
### code chunk number 22: easi.rnw:1051-1053
###################################################
  #   sim <- simulations(est,log.price_new=log.price_HIX.SIM1,
  #           var.soc_new=var.soc_HIX.SIM1,log.exp_new=log.exp_HIX)


###################################################
### code chunk number 23: easi.rnw:1059-1060
###################################################
#eng2 <- engel(sim,file="simeng",sd=TRUE)


###################################################
### code chunk number 24: easi.rnw:1084-1090
###################################################
w1 <- rnorm(3000,mean=0.25,sd=0.05)
w2 <- rnorm(3000,mean=0.15,sd=0.05)
w3 <- rnorm(3000,mean=0.20,sd=0.05)
w4 <- rnorm(3000,mean=0.30,sd=0.05)
w5 <- 1-w1-w2-w3-w4 
shares_SIM <- data.frame(w1,w2,w3,w4,w5)


###################################################
### code chunk number 25: easi.rnw:1096-1102
###################################################
p1 <- log(rnorm(3000,mean=25,sd=3))
p2 <- log(rnorm(3000,mean=15,sd=2))
p3 <- log(rnorm(3000,mean=20,sd=3))
p4 <- log(rnorm(3000,mean=30,sd=4))
p5 <- log(rnorm(3000,mean=10,sd=1))
log.price_SIM <- data.frame(p1,p2,p3,p4,p5)


###################################################
### code chunk number 26: easi.rnw:1109-1114
###################################################
V1 <- abs(round(rnorm(3000,mean=0.7,sd=0.2)))
V2 <- abs(round(rnorm(3000,mean=2,sd=1)))+1
V3 <- abs(round(rnorm(3000,mean=0.7,sd=0.2)))
V4 <- abs(round(rnorm(3000,mean=0.7,sd=0.2)))
var.soc_SIM <- data.frame(V1,V2,V3,V4)


###################################################
### code chunk number 27: easi.rnw:1120-1121
###################################################
     log.exp_SIM <- log(rnorm(3000,mean=1200,sd=200))


###################################################
### code chunk number 28: easi.rnw:1127-1129
###################################################
     est2 <- easi(shares=shares_SIM,log.price=log.price_SIM,
                 var.soc=var.soc_SIM,log.exp=log.exp_SIM)


###################################################
### code chunk number 29: easi.rnw:1138-1142
###################################################
     log.price_SIM2 <- log(exp(log.price_SIM)*1.4)
     log.exp_SIM2 <- log(exp(log.exp_SIM)*1.05)
     equiv <- equiv.income(est2,log.exp_ref=log.exp_SIM,log.exp_cur=log.exp_SIM2,
                 log.price_ref=log.price_SIM,log.price_cur=log.price_SIM2)


